> For the complete documentation index, see [llms.txt](https://docs.gestao.plus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gestao.plus/api/public/passwors_reset_sms.md).

# Esqueci Minha Senha (SMS)

## Resetar Senha (SMS)

<mark style="color:green;">`POST`</mark> `https://api.gestao.plus/user?q=forgot-password`

Assim como na recuperação de senha por email, você poderá recuperar suas credenciais por SMS.

#### Query Parameters

| Name                                | Type   | Description     |
| ----------------------------------- | ------ | --------------- |
| q<mark style="color:red;">\*</mark> | string | forgot-password |

#### Headers

| Name                                           | Type   | Description      |
| ---------------------------------------------- | ------ | ---------------- |
| Content-Type<mark style="color:red;">\*</mark> | string | application/json |

#### Request Body

| Name                                        | Type   | Description             |
| ------------------------------------------- | ------ | ----------------------- |
| cellphone<mark style="color:red;">\*</mark> | string | O seu número de celular |
| document<mark style="color:red;">\*</mark>  | string | O seu CPF               |

{% tabs %}
{% tab title="500 " %}

```
{
    "trace": [
        {
            "file": "/var/www/module/IUPBase/src/EventListener/AbstractListener.php",
            "line": 420,
            "function": "preCreate",
            "class": "IUPBase\\V1\\EventListenerController\\User",
            "type": "->",
            "args": [
                {
                    "document": "70434612197",
                    "cellphone": "62985499507"
                }
            ]
        }
    ],
    "type": "http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html",
    "title": "Internal Server Error",
    "status": 500,
    "detail": "Call to a member function getId() on null"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gestao.plus/api/public/passwors_reset_sms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
